EXTRA_DIST = 
BUILT_SOURCES = 

AM_CPPFLAGS = \
        -DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
        -DPACKAGE_SRC_DIR=\""$(srcdir)"\" \
        -DPACKAGE_DATA_DIR=\""$(datadir)"\" $(UNITY_WEBAPPS_CFLAGS) $(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	$(UNITY_WEBAPPS_DEBUG_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS) \
	-DPACKAGE_LIBEXEC_DIR=\""$(libexecdir)"\" -I$(top_srcdir)/src -I$(top_srcdir)/src/libunity-webapps

libexec_PROGRAMS = \
	unity-webapps-service

unity_webapps_service_SOURCES = \
	unity-webapps-service.c \
	unity-webapps-service.h \
	unity-webapps-service-preinstalled-app.c \
	unity-webapps-service-preinstalled-app.h \
	unity-webapps-debug.c \
	../unity-webapps-app-db.c \
	../unity-webapps-app-db.h \
	../context-daemon/util/unity-webapps-dirs.c \
	../unity-webapps-debug.h \
	../unity-webapps-gen-service.c \
	../unity-webapps-gen-service.h \
	../unity-webapps-gen-context.c \
	../unity-webapps-gen-context.h 

unity_webapps_service_LDFLAGS = $(UNITY_WEBAPPS_COVERAGE_LDFLAGS)
unity_webapps_service_LDADD = $(UNITY_WEBAPPS_LIBS) $(UNITY_WEBAPPS_DAEMON_LIBS)
